import request from '@/utils/request'
// 司机上报列表
export function getList(data) {
  return request({
    url: '/driverInfo/selectDriverInfoSubmission',
    method: 'get',
    params: data,
  })
}
//上报
export function report(data) {
  return request({
    url: '/driverInfo/api/batchSubmission',
    method: 'post',
    data: data,
  })
}
//查看单条数据
export function getInfo(data) {
  return request({
    url: '/driverInfo/getDriver',
    method: 'get',
    params: data,
  })
}
// 车辆上报列表
export function carGetList(data) {
  return request({
    url: '/driverCarInfo/selectCarInfoSubmission',
    method: 'get',
    params: data,
  })
}
//车辆上报
export function carReport(data) {
  return request({
    url: '/driverCarInfo/api/batchSubmission',
    method: 'post',
    data: data,
  })
}
//查看单条数据
export function carGetInfo(data) {
  return request({
    url: '/driverCarInfo/getDriverCarInfo',
    method: 'get',
    params: data,
  })
}
// 运单上报列表
export function waybillGetList(data) {
  return request({
    url: '/orderInfo/selectWaybillReporting',
    method: 'get',
    params: data,
  })
}
//查看运单数据
export function waybillGetInfo(data) {
  return request({
    url: '/orderInfo/getOrderInfo',
    method: 'get',
    params: data,
  })
}
//运单暂缓上报
export function deferEscalation(data) {
  return request({
    url: '/orderInfo/api/postponeReporting',
    method: 'post',
    data: data,
  })
}
//运单批量上报
export function batchEscalation(data) {
  return request({
    url: '/orderInfo/api/batchSubmission',
    method: 'post',
    data: data,
  })
}
// 流水单上报列表
export function dailyReportGetList(data) {
  return request({
    url: '/hyFreightSettlementInfo/selectFlowSheet',
    method: 'get',
    params: data,
  })
}
//查看流水单数据
export function dailyReporGetInfo(data) {
  return request({
    url: '/hyFreightSettlementInfo/getHyFreightSettlementInfo',
    method: 'get',
    params: data,
  })
}
//流水单暂缓上报
export function dailyReportDeferEscalation(data) {
  return request({
    url: '/hyFreightSettlementInfo/api/postponeReporting',
    method: 'post',
    data: data,
  })
}
//流水单批量上报
export function dailyReportBatchEscalation(data) {
  return request({
    url: '/hyFreightSettlementInfo/api/batchSubmission',
    method: 'post',
    data: data,
  })
}